curl --request GET \
--url https://api.portable.io/v2/flows/{id}/run \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portable.io/v2/flows/{id}/run"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portable.io/v2/flows/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 658423,
"flow": 689422,
"trigger": "scheduled",
"lifecycle": "running",
"disposition": "none",
"resources": [
{
"name": "events",
"extracted": 1400,
"analyzed": 0,
"loaded": 0
},
{
"name": "attendees",
"extracted": 125,
"analyzed": 0,
"loaded": 0
}
],
"completedAt": null,
"createdAt": "2023‐06‐12T21:03:00Z"
},
{
"id": 637628,
"flow": 689422,
"trigger": "scheduled",
"lifecycle": "not_running",
"disposition": "succeeded",
"resources": [
{
"name": "events",
"extracted": 1864,
"analyzed": 1864,
"loaded": 1864
},
{
"name": "attendees",
"extracted": 218,
"analyzed": 218,
"loaded": 218
}
],
"completedAt": "2023‐06‐12T20:08:34Z",
"createdAt": "2023‐06‐12T20:03:00Z"
},
{
"id": 632458,
"flow": 689422,
"trigger": "manual",
"lifecycle": "not_running",
"disposition": "failed",
"errors": [
"Failed to connect to the source"
],
"completedAt": null,
"createdAt": "2023‐06‐10T20:03:00Z"
}
]
}{
"message": "Unauthorized"
}{
"message": "Your current plan does not support this feature"
}{
"message": "Not Found"
}Get flow run attempts
Get a flow’s run attempts by flow ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the flow you want to run
568971
Query Parameters
The maximum number of run attempt entries to return in a single response. Defaults to 100. Values up to 1,000 are allowed.
100
The starting point within the collection of run attempt entries to begin returning results from. It's used in conjunction with limit to navigate through paginated data. An offset of 0 starts the results from the first item. Defaults to 0.
0
Dictates the order in which the run attempt entries are returned. Acceptable values are asc for ascending order and desc for descending order. The sorting refers to the createdAt field of the run attempt entries. Defaults to desc.
ASC, DESC "DESC"
Response
OK
Show child attributes
Show child attributes

